<?xml version="1.0" encoding="utf-8"?>

<layout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">




    <data>
        <variable
            name="viewmodel"
            type="it.integry.integrywmsnative.gest.ultime_consegne_cliente.dialog.DialogUltimeConsegneFiltroAvanzato.DialogUltimeConsegneFiltroAvanzatoViewModel" />

    </data>

<androidx.cardview.widget.CardView
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    app:cardCornerRadius="12dp"
    app:cardElevation="0dp">


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="16dp">


            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/title_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                style="@style/TextViewMaterial.Dialog.HeadlineText"
                android:text="@string/dialog_vendita_filtro_avanzato"
                android:gravity="center_horizontal"
                android:layout_marginBottom="12dp"/>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/input_cod_rag_soc"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:imeOptions="actionNext"
                android:nextFocusDown="@id/input_data_doc"
                android:hint="@string/rag_soc">

                <androidx.appcompat.widget.AppCompatAutoCompleteTextView
                    android:id="@+id/filled_exposed_dropdown_rag_soc"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:singleLine="true"
                    android:ellipsize="end"
                    android:imeOptions="actionNext"
                    android:nextFocusDown="@id/input_data_doc"
                    app:binding="@{viewmodel.ragSoc}" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/input_data_doc"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/document_date">


                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/filled_exposed_dropdown_data_doc"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="textNoSuggestions"
                    android:focusable="false"
                    android:singleLine="true"
                    app:binding="@{viewmodel.dataDoc}"/>

            </com.google.android.material.textfield.TextInputLayout>



            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="24dp"
                android:layout_marginEnd="24dp"
                android:layout_marginTop="8dp">

                <androidx.constraintlayout.widget.Guideline
                    android:id="@+id/buttons_guideline"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    app:layout_constraintGuide_percent="0.5"/>



                <com.google.android.material.button.MaterialButton
                    android:id="@+id/neutral_btn"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    style="@style/Button.PrimaryOutline"
                    android:layout_marginLeft="8dp"
                    android:layout_marginRight="8dp"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintEnd_toStartOf="@id/buttons_guideline"
                    app:strokeColor="@color/colorPrimary"
                    android:text="@string/reset"/>


                <com.google.android.material.button.MaterialButton
                    android:id="@+id/positive_btn"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    style="@style/Button.PrimaryFull"
                    android:layout_marginLeft="8dp"
                    android:layout_marginRight="8dp"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintStart_toStartOf="@id/buttons_guideline"
                    app:layout_constraintEnd_toEndOf="parent"
                    android:text="@string/confirm"/>


            </androidx.constraintlayout.widget.ConstraintLayout>

        </LinearLayout>
    </ScrollView>

</androidx.cardview.widget.CardView>
</layout>